BEEM - Android XMPP - Feature #238

Add an option to disable SASL authentication
02/12/2010 05:23 PM - Scott Wallace

Status: Rejected Start date: 02/12/2010
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.1.2

Description

I'm trying to use Facebook Chat's new XMPP server with Beem, and | get the message,
"SASL authentication failed using mechanism DIGEST-MD5"
It would be nice to have an option to disable SASL authentication so Beem might work with Facebook Chat/XMPP.

History

#1 - 02/13/2010 08:43 PM - Frédéric Barthéléry

- Status changed from New to Rejected

Beem works with Facebook XMPP server. The error message you got is probably because you mistyped your username or/and password.
The facebook jid has the following format : yourusername@chat.facebook.com

For security raison you don't really want to disable SASL authentication.

#2 - 02/13/2010 09:49 PM - Scott Wallace

It's not working. | typed in my username as xxxxx@chat.facebook.com in the username field, and I'm pretty sure | entered my password correctly. |
even tried setting the server to chat.facebook.com under Advanced. Require SSL/TLS is turned off as Facebook's site instructed and I'm not using a
proxy server. Using Gmail is also unchecked. Priority is 0.

#3 - 02/13/2010 10:19 PM - Frédéric Barthéléry

After little more investigation, it is not working on the BEEM version available on the Android Market (0.1.1). But it is not a SASL problem but a DNS
SRV problem. This is fixed in the developpement version since a while now. We will release an update version with the fix very very soon. Stay
connected :-)

#4 - 02/13/2010 10:20 PM - Scott Wallace

Thanks for the info.

#5 - 02/14/2010 11:01 PM - Scott Wallace

Just confirming that the latest update works with Facebook's XMPP server. Thanks again!

#6 - 02/15/2010 11:26 AM - Frédéric Barthéléry

- Target version set to 0.1.2
